Page MenuHomePhabricator

[lldb] Get the TargetAPI lock in SBProcess::IsInstrumentationRuntimePresen
ClosedPublic

Authored by teemperor on Sep 20 2019, 6:16 AM.

Details

Summary

We should get the TargetAPI lock here to prevent the process of being destroyed while we are in the function. Thanks Jim for explaining what's going on.

Fixes rdar://54424754

Diff Detail

Repository
rL LLVM

Event Timeline

teemperor created this revision.Sep 20 2019, 6:16 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 20 2019, 6:16 AM
jingham accepted this revision.Oct 2 2019, 5:27 PM

LGTM

This revision is now accepted and ready to land.Oct 2 2019, 5:27 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 4 2019, 2:53 AM